# class SS7ItuSccpManagement |
Full name | `TelEngine::SS7ItuSccpManagement`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SCCPManagement [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SS7ItuSccpManagement (const NamedList& params)
- virtual ~SS7ItuSccpManagement ()
- virtual bool processMessage (SS7MsgSCCP* message)
- virtual bool sendMessage (MsgType msgType, const NamedList& params)
- virtual void manageSccpRemoteStatus (SccpRemote* rsccp, SS7Route::State newState)
- bool handleMessage (int msgType, NamedList& params)
- virtual void handleSubsystemStatus (SccpSubsystem* subsystem, bool allowed, SccpRemote* remote, int smi)

## Detailed Description

SS7ItuSccpManagement (const NamedList& params) | ### SS7ItuSccpManagement

Constructor

~SS7ItuSccpManagement () | ### ~SS7ItuSccpManagement

[virtual]

Destructor

bool processMessage (SS7MsgSCCP* message) | ### processMessage

[virtual]

Process a management message received from sccp

Parameters:

message | The message to process

Returns: True if the message was processed successfully

Reimplemented from SCCPManagement.

bool sendMessage (MsgType msgType, const NamedList& params) | ### sendMessage

[virtual]

Encode and send a SCCP ITU management message

Parameters:

msgType | The type of sccp management message
params | List of parameters

Returns: True if the message was successfully sent

Reimplemented from SCCPManagement.

void manageSccpRemoteStatus (SccpRemote* rsccp, SS7Route::State newState) | ### manageSccpRemoteStatus

[virtual]

Handle notifications received from remote concerned sccp's

Parameters:

rsccp | Remote SCCP pointcode
newState | The new state of the remote SCCP

Reimplemented from SCCPManagement.

bool handleMessage (int msgType, NamedList& params) | ### handleMessage

Handle a SCCP Management message

Parameters:

msgType | The message type
params | List of message parameters

Returns: True if the message was handled

Reimplemented from SCCPManagement.

void handleSubsystemStatus (SccpSubsystem* subsystem, bool allowed, SccpRemote* remote, int smi) | ### handleSubsystemStatus

[virtual]

Process the status of subsystems

Parameters:

subsystem | The subsystem who's status has changed
allowed | True if the subsystem status is Allowed false for Prohibited
remote | The remote sccp pointcode where the subsystem is located
smi | Subsystem Multiplicity Indicator

Reimplemented from SCCPManagement.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.